﻿namespace TreeViewMouseOverExpand.ViewModel
{
  using System.Collections.Generic;
  using System.Data.Common;

  using TreeViewMouseOverExpand.Model;

  public class TreeViewMouseOverExpandViewModel
  {
    public List<TreeViewMouseOverExpandModel> TreeViewMouseOverExpandItems { get; set; }

    public TreeViewMouseOverExpandViewModel()
    {
      List<TreeViewMouseOverExpandModel> itemsLevel2 = new List<TreeViewMouseOverExpandModel>();
      itemsLevel2.Add(new TreeViewMouseOverExpandModel { Id = 111, Name = "test1Level2" });

      List<TreeViewMouseOverExpandModel> itemsLevel1 = new List<TreeViewMouseOverExpandModel>();
      itemsLevel1.Add(new TreeViewMouseOverExpandModel { Id = 111, Name = "test1Level2", Children = itemsLevel2 });

      TreeViewMouseOverExpandItems = new List<TreeViewMouseOverExpandModel>();
      TreeViewMouseOverExpandItems.Add(new TreeViewMouseOverExpandModel { Id = 1, Name = "test1", Children = itemsLevel1 });
      TreeViewMouseOverExpandItems.Add(new TreeViewMouseOverExpandModel { Id = 2, Name = "test2" });
      TreeViewMouseOverExpandItems.Add(new TreeViewMouseOverExpandModel { Id = 3, Name = "test3" });

    }
  }
}